s10_level_hints.levels["Level 4"] = function()
	return
	{
		miniscenes
		({
			level04_miniscene_fresco = 
			{
				miniscene("fresco"),
			},
			
			level04_miniscene_box = 
			{
				IF(state("box", "box02"), miniscene("box"))
			},
			
			level04_miniscene_casket = 
			{
				IF(state("hidden_place", "hidden_place03"), miniscene("area_casket"))
			}
		}),
	
		-- развести огонь в печи
		take("wood"),
		click("oven", "wood"),
		take("paper"),
		click("oven", "paper"),
		take("gas"),
		take("cigarette_lighter"),
		IF(state("oven", "oven04"), click("oven", "cigarette_lighter_with_fire")),
		
		-- замесить глину
		take("scoop"),
		click("area_loam", "scoop"),
		take("jug"),
		click("area_water", "jug_with_loam"),
		
		-- открыть ящик
		take("naildrawer", "area_naildrawer"),
		click("box", "naildrawer"),
		
		-- получить код с таблички
		on_scene("level04_miniscene_box",
		{
			take("brush"),
			take("sheet"),
			take("pencil")
		}),
		on_scene("level04_miniscene_fresco",
		{
			IF(state("fresco_big", "fresco_big01"), click("fresco_big", "brush")),
			IF(state("fresco_big", "fresco_big02"), click("fresco_big", "sheet")),
			IF(state("fresco_big", "fresco_big03"), click("fresco_big", "pencil"))
		}),
		
		-- открыть отверстие для кольца
		IF(state("fresco_big", "fresco_big04"),
		{
			IF(state("symbol01", "off"), click("symbol01")),
			IF(state("symbol02", "off"), click("symbol02")),
			IF(state("symbol03", "off"), click("symbol03")),
			IF(state("symbol04", "off"), click("symbol04")),
			IF(state("symbol05", "off"), click("symbol05")),
			IF(state("symbol06", "off"), click("symbol06"))
		}),
		
		-- найти ключ
		on_scene("level04_miniscene_box", take("magnet")),
		click("area_of_minigame", "magnet"),
		
		-- открыть шкатулку
		take("ring", "area_ring"),
		IF(state("hole", "hole02"), click("hole", "ring")),
		IF(state("hidden_place", "hidden_place02"), click("area_casket", "key")),
		
		on_scene("level04_miniscene_casket",
		{
		-- взять часть амулета
			take("amulet_time"),
			
		-- обжечь части статуэтки
			take("form")
		}),
		click("oven", "form_with_loam"),
		take("pincers"),
		IF(state("oven", "oven05"), click("oven", "pincers")),
		on_scene("level04_miniscene_box", take("glue")),
		
		-- поместить статуэтку на место
		click("area_stand", "statuette"),
		IF(state("statuette_on_stand", "statuette_on_stand02"), minigame("area_stand"))
	}	
end
